Skip to content
v2.274.0

CfnRoutingProfile L1 construct ​

Creates a new routing profile.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_connect as connect } from 'aws-cdk-lib';
const cfnRoutingProfile = new connect.CfnRoutingProfile(this, 'MyCfnRoutingProfile', {
  defaultOutboundQueueArn: 'defaultOutboundQueueArn',
  description: 'description',
  instanceArn: 'instanceArn',
  mediaConcurrencies: [{
    channel: 'channel',
    concurrency: 123,

    // the properties below are optional
    crossChannelBehavior: {
      behaviorType: 'behaviorType',
    },
  }],
  name: 'name',

  // the properties below are optional
  agentAvailabilityTimer: 'agentAvailabilityTimer',
  manualAssignmentQueueConfigs: [{
    queueReference: {
      channel: 'channel',
      queueArn: 'queueArn',
    },
  }],
  queueConfigs: [{
    delay: 123,
    priority: 123,
    queueReference: {
      channel: 'channel',
      queueArn: 'queueArn',
    },
  }],
  tags: [{
    key: 'key',
    value: 'value',
  }],
});
python
from aws_cdk import CfnTag
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_connect as connect

cfn_routing_profile = connect.CfnRoutingProfile(self, "MyCfnRoutingProfile",
    default_outbound_queue_arn="defaultOutboundQueueArn",
    description="description",
    instance_arn="instanceArn",
    media_concurrencies=[connect.CfnRoutingProfile.MediaConcurrencyProperty(
        channel="channel",
        concurrency=123,

        # the properties below are optional
        cross_channel_behavior=connect.CfnRoutingProfile.CrossChannelBehaviorProperty(
            behavior_type="behaviorType"
        )
    )],
    name="name",

    # the properties below are optional
    agent_availability_timer="agentAvailabilityTimer",
    manual_assignment_queue_configs=[connect.CfnRoutingProfile.RoutingProfileManualAssignmentQueueConfigProperty(
        queue_reference=connect.CfnRoutingProfile.RoutingProfileQueueReferenceProperty(
            channel="channel",
            queue_arn="queueArn"
        )
    )],
    queue_configs=[connect.CfnRoutingProfile.RoutingProfileQueueConfigProperty(
        delay=123,
        priority=123,
        queue_reference=connect.CfnRoutingProfile.RoutingProfileQueueReferenceProperty(
            channel="channel",
            queue_arn="queueArn"
        )
    )],
    tags=[CfnTag(
        key="key",
        value="value"
    )]
)
java
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.connect.*;

CfnRoutingProfile cfnRoutingProfile = CfnRoutingProfile.Builder.create(this, "MyCfnRoutingProfile")
        .defaultOutboundQueueArn("defaultOutboundQueueArn")
        .description("description")
        .instanceArn("instanceArn")
        .mediaConcurrencies(List.of(MediaConcurrencyProperty.builder()
                .channel("channel")
                .concurrency(123)

                // the properties below are optional
                .crossChannelBehavior(CrossChannelBehaviorProperty.builder()
                        .behaviorType("behaviorType")
                        .build())
                .build()))
        .name("name")

        // the properties below are optional
        .agentAvailabilityTimer("agentAvailabilityTimer")
        .manualAssignmentQueueConfigs(List.of(RoutingProfileManualAssignmentQueueConfigProperty.builder()
                .queueReference(RoutingProfileQueueReferenceProperty.builder()
                        .channel("channel")
                        .queueArn("queueArn")
                        .build())
                .build()))
        .queueConfigs(List.of(RoutingProfileQueueConfigProperty.builder()
                .delay(123)
                .priority(123)
                .queueReference(RoutingProfileQueueReferenceProperty.builder()
                        .channel("channel")
                        .queueArn("queueArn")
                        .build())
                .build()))
        .tags(List.of(CfnTag.builder()
                .key("key")
                .value("value")
                .build()))
        .build();
csharp
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.Connect;

var cfnRoutingProfile = new CfnRoutingProfile(this, "MyCfnRoutingProfile", new CfnRoutingProfileProps {
    DefaultOutboundQueueArn = "defaultOutboundQueueArn",
    Description = "description",
    InstanceArn = "instanceArn",
    MediaConcurrencies = new [] { new MediaConcurrencyProperty {
        Channel = "channel",
        Concurrency = 123,

        // the properties below are optional
        CrossChannelBehavior = new CrossChannelBehaviorProperty {
            BehaviorType = "behaviorType"
        }
    } },
    Name = "name",

    // the properties below are optional
    AgentAvailabilityTimer = "agentAvailabilityTimer",
    ManualAssignmentQueueConfigs = new [] { new RoutingProfileManualAssignmentQueueConfigProperty {
        QueueReference = new RoutingProfileQueueReferenceProperty {
            Channel = "channel",
            QueueArn = "queueArn"
        }
    } },
    QueueConfigs = new [] { new RoutingProfileQueueConfigProperty {
        Delay = 123,
        Priority = 123,
        QueueReference = new RoutingProfileQueueReferenceProperty {
            Channel = "channel",
            QueueArn = "queueArn"
        }
    } },
    Tags = new [] { new CfnTag {
        Key = "key",
        Value = "value"
    } }
});
go
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"

cfnRoutingProfile := awscdk.Aws_connect.NewCfnRoutingProfile(this, jsii.String("MyCfnRoutingProfile"), &CfnRoutingProfileProps{
	DefaultOutboundQueueArn: jsii.String("defaultOutboundQueueArn"),
	Description: jsii.String("description"),
	InstanceArn: jsii.String("instanceArn"),
	MediaConcurrencies: []interface{}{
		&MediaConcurrencyProperty{
			Channel: jsii.String("channel"),
			Concurrency: jsii.Number(123),

			// the properties below are optional
			CrossChannelBehavior: &CrossChannelBehaviorProperty{
				BehaviorType: jsii.String("behaviorType"),
			},
		},
	},
	Name: jsii.String("name"),

	// the properties below are optional
	AgentAvailabilityTimer: jsii.String("agentAvailabilityTimer"),
	ManualAssignmentQueueConfigs: []interface{}{
		&RoutingProfileManualAssignmentQueueConfigProperty{
			QueueReference: &RoutingProfileQueueReferenceProperty{
				Channel: jsii.String("channel"),
				QueueArn: jsii.String("queueArn"),
			},
		},
	},
	QueueConfigs: []interface{}{
		&RoutingProfileQueueConfigProperty{
			Delay: jsii.Number(123),
			Priority: jsii.Number(123),
			QueueReference: &RoutingProfileQueueReferenceProperty{
				Channel: jsii.String("channel"),
				QueueArn: jsii.String("queueArn"),
			},
		},
	},
	Tags: []CfnTag{
		&CfnTag{
			Key: jsii.String("key"),
			Value: jsii.String("value"),
		},
	},
})

Initializer ​

ts
new CfnRoutingProfile(scope: Construct, id: string, props: CfnRoutingProfileProps)
python
CfnRoutingProfile(scope: Construct, id: str, props: CfnRoutingProfileProps)
java
new CfnRoutingProfile(Construct scope, String id, CfnRoutingProfileProps props)
csharp
new CfnRoutingProfile(Construct scope, string id, CfnRoutingProfileProps props)
go
NewCfnRoutingProfile(Scope Construct, Id *string, Props CfnRoutingProfileProps)

Construct Props ​

agentAvailabilityTimeroptionalstringagent_availability_timeroptionalstragentAvailabilityTimeroptionalStringAgentAvailabilityTimeroptionalstringAgentAvailabilityTimeroptional*string#
Whether agents with this routing profile will have their routing order calculated based on *time since their last inbound contact* or *longest idle time* .
defaultOutboundQueueArnstringdefault_outbound_queue_arnstrdefaultOutboundQueueArnStringDefaultOutboundQueueArnstringDefaultOutboundQueueArn*stringrequired#
The Amazon Resource Name (ARN) of the default outbound queue for the routing profile.
descriptionstringdescriptionstrdescriptionStringDescriptionstringDescription*stringrequired#
The description of the routing profile.
instanceArnstring | IInstanceRefinstance_arntyping.Union[str, IInstanceRef]instanceArnStringInstanceArnstringInstanceArninterface{}required#
The identifier of the Connect Customer instance.
manualAssignmentQueueConfigsoptionalIResolvable | IResolvable | CfnRoutingProfile.RoutingProfileManualAssignmentQueueConfigProperty[]manual_assignment_queue_configsoptionaltyping.Union[IResolvable, typing.List[typing.Union[IResolvable, RoutingProfileManualAssignmentQueueConfigProperty]]]manualAssignmentQueueConfigsoptionalIResolvableManualAssignmentQueueConfigsoptionalIResolvableManualAssignmentQueueConfigsoptionalinterface{}#
Contains information about the queue and channel for manual assignment behaviour can be enabled.
mediaConcurrenciesIResolvable | IResolvable | CfnRoutingProfile.MediaConcurrencyProperty[]media_concurrenciestyping.Union[IResolvable, typing.List[typing.Union[IResolvable, MediaConcurrencyProperty]]]mediaConcurrenciesIResolvableMediaConcurrenciesIResolvableMediaConcurrenciesinterface{}required#
The channels agents can handle in the Contact Control Panel (CCP) for this routing profile.
namestringnamestrnameStringNamestringName*stringrequired#
The name of the routing profile.
queueConfigsoptionalIResolvable | IResolvable | CfnRoutingProfile.RoutingProfileQueueConfigProperty[]queue_configsoptionaltyping.Union[IResolvable, typing.List[typing.Union[IResolvable, RoutingProfileQueueConfigProperty]]]queueConfigsoptionalIResolvableQueueConfigsoptionalIResolvableQueueConfigsoptionalinterface{}#
The inbound queues associated with the routing profile.

If no queue is added, the agent can make only outbound calls.

tagsoptionalCfnTag[]tagsoptionaltyping.List[CfnTag]tagsoptionalList<CfnTag>TagsoptionalCfnTag[]Tagsoptional*[]CfnTag#
The tags used to organize, track, or control access for this resource.

For example, { "Tags": {"key1":"value1", "key2":"value2"} }.

Properties ​

agentAvailabilityTimermay be undefinedstringagent_availability_timermay be undefinedstragentAvailabilityTimermay be undefinedStringAgentAvailabilityTimermay be undefinedstringAgentAvailabilityTimermay be undefined*string#
Whether agents with this routing profile will have their routing order calculated based on *time since their last inbound contact* or *longest idle time* .
attrRoutingProfileArnstringattr_routing_profile_arnstrattrRoutingProfileArnStringAttrRoutingProfileArnstringAttrRoutingProfileArn*stringrequired#
The Amazon Resource Name (ARN) of the routing profile.
cdkTagManagerTagManagercdk_tag_managerTagManagercdkTagManagerTagManagerCdkTagManagerTagManagerCdkTagManagerTagManagerrequired#
Tag Manager which manages the tags for this resource.
CFN_RESOURCE_TYPE_NAMEstringcfn_resource_type_namestrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*stringrequiredstatic#
The CloudFormation resource type name for this resource class.
Options for this resource, such as condition, update policy etc.
cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*stringrequired#
AWS resource type.
creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*stringrequired#
defaultOutboundQueueArnstringdefault_outbound_queue_arnstrdefaultOutboundQueueArnStringDefaultOutboundQueueArnstringDefaultOutboundQueueArn*stringrequired#
The Amazon Resource Name (ARN) of the default outbound queue for the routing profile.
descriptionstringdescriptionstrdescriptionStringDescriptionstringDescription*stringrequired#
The description of the routing profile.
instanceArnstringinstance_arnstrinstanceArnStringInstanceArnstringInstanceArn*stringrequired#
The identifier of the Connect Customer instance.
logicalIdstringlogical_idstrlogicalIdStringLogicalIdstringLogicalId*stringrequired#
The logical ID for this CloudFormation stack element.

The logical ID of the element is calculated from the path of the resource node in the construct tree.

To override this value, use overrideLogicalId(newLogicalId).

manualAssignmentQueueConfigsmay be undefinedIResolvable | IResolvable | CfnRoutingProfile.RoutingProfileManualAssignmentQueueConfigProperty[]manual_assignment_queue_configsmay be undefinedtyping.Union[IResolvable, typing.List[typing.Union[IResolvable, RoutingProfileManualAssignmentQueueConfigProperty]]]manualAssignmentQueueConfigsmay be undefinedIResolvableManualAssignmentQueueConfigsmay be undefinedIResolvableManualAssignmentQueueConfigsmay be undefinedinterface{}#
Contains information about the queue and channel for manual assignment behaviour can be enabled.
mediaConcurrenciesIResolvable | IResolvable | CfnRoutingProfile.MediaConcurrencyProperty[]media_concurrenciestyping.Union[IResolvable, typing.List[typing.Union[IResolvable, MediaConcurrencyProperty]]]mediaConcurrenciesIResolvableMediaConcurrenciesIResolvableMediaConcurrenciesinterface{}required#
The channels agents can handle in the Contact Control Panel (CCP) for this routing profile.
namestringnamestrnameStringNamestringName*stringrequired#
The name of the routing profile.
nodeNodenodeNodenodeNodeNodeNodeNodeNoderequired#
The tree node.
queueConfigsmay be undefinedIResolvable | IResolvable | CfnRoutingProfile.RoutingProfileQueueConfigProperty[]queue_configsmay be undefinedtyping.Union[IResolvable, typing.List[typing.Union[IResolvable, RoutingProfileQueueConfigProperty]]]queueConfigsmay be undefinedIResolvableQueueConfigsmay be undefinedIResolvableQueueConfigsmay be undefinedinterface{}#
The inbound queues associated with the routing profile.
refstringrefstrrefStringRefstringRef*stringrequired#
Return a string that will be resolved to a CloudFormation `{ Ref }` for this element.

If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).

routingProfileRefRoutingProfileReferencerouting_profile_refRoutingProfileReferenceroutingProfileRefRoutingProfileReferenceRoutingProfileRefRoutingProfileReferenceRoutingProfileRefRoutingProfileReferencerequired#
A reference to a RoutingProfile resource.
stackStackstackStackstackStackStackStackStackStackrequired#
The stack in which this element is defined.

CfnElements must be defined within a stack scope (directly or indirectly).

tagsmay be undefinedCfnTag[]tagsmay be undefinedtyping.List[CfnTag]tagsmay be undefinedList<CfnTag>Tagsmay be undefinedCfnTag[]Tagsmay be undefined*[]CfnTag#
The tags used to organize, track, or control access for this resource.

Methods ​

addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string)#
Syntactic sugar for `addOverride(path, undefined)`.
1 parameter

Parameters

  • pathpathpathpathPath — The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource)deprecated#
Use `addResourceDependency` instead.

This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.

addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource)deprecated#
Use `addResourceDependency` instead.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.

addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{})#
Add a value to the CloudFormation Resource Metadata.
addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{})#
Adds an override to the synthesized CloudFormation resource.
notes · 2 parameters

To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).

If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.

To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.

For example,

typescript
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');

would add the overrides

json
"Properties": {
  "GlobalSecondaryIndexes": [
    {
      "Projection": {
        "NonKeyAttributes": [ "myattribute" ]
        ...
      }
      ...
    },
    {
      "ProjectionType": "INCLUDE"
      ...
    },
  ]
  ...
}

The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.

Parameters

  • pathpathpathpathPath — - The path of the property, you can use dot notation to override values in complex types.
  • valuevaluevaluevalueValue — - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string)#
Adds an override that deletes the value of a property from the resource definition.
1 parameter

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{})#
Adds an override to a resource property.

Syntactic sugar for addOverride("Properties.<...>", value).

2 parameters

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path of the property.
  • valuevaluevaluevalueValue — The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string)#
Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.

applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength)#
Sets the cross-stack reference strength for this resource.

When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.

1 parameter

Parameters

  • strengthstrengthstrengthstrengthStrength — - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions)#
Sets the deletion policy of the resource based on the removal policy specified.
notes

The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.

The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:

arnForRoutingProfile(resource: IRoutingProfileRef): string@staticmethod def arn_for_routing_profile(resource: IRoutingProfileRef) -> strpublic static String arnForRoutingProfile(IRoutingProfileRef resource)public static string ArnForRoutingProfile(IRoutingProfileRef resource)func ArnForRoutingProfile(Resource IRoutingProfileRef) *stringstatic#
cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string#
getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference#
Returns a token for an runtime attribute of this resource.

Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.

1 parameter

Parameters

  • attributeNameattribute_nameattributeNameattributeNameAttributeName — The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{}#
Retrieve a value value from the CloudFormation Resource Metadata.
inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector)#
Examines the CloudFormation resource and discloses attributes.
1 parameter

Parameters

  • inspectorinspectorinspectorinspectorInspector — tree inspector to collect and process attributes.
isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *boolstatic#
Returns `true` if a construct is a stack element (i.e. part of the synthesized cloudformation template).

Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.

returns

Returns: The construct as a stack element or undefined if it is not a stack element.

isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *boolstatic#
Check whether the given object is a CfnResource.
isCfnRoutingProfile(x: any): boolean@staticmethod def is_cfn_routing_profile(x: Any) -> boolpublic static Boolean isCfnRoutingProfile(Object x)public static bool IsCfnRoutingProfile(object x)func IsCfnRoutingProfile(X interface{}) *boolstatic#
Checks whether the given object is a CfnRoutingProfile.
isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *boolstatic#
Checks if `x` is a construct.
notes · 1 parameter · returns

Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.

Parameters

  • xxxxX — Any object.

Returns: true if x is an object created from a class which extends Construct.

obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{}#
Retrieves an array of resources and stacks this resource depends on.

For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.

overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string)#
Overrides the auto-generated logical ID with a specific ID.
1 parameter

Parameters

  • newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId — The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource)deprecated#
Use `removeResourceDependency` instead

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource)#
Indicates that this resource no longer depends on another resource.

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource)#
Replaces one dependency with another.
2 parameters

Parameters

  • targettargettargettargetTarget — The dependency to replace.
  • newTargetnew_targetnewTargetnewTargetNewTarget — The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string#
Returns a string representation of this construct.
returns

Returns: a string representation of this resource

with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct#
Applies one or more mixins to this construct.

Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.